Users' Manual
Version 1.9 — Rev. 3

# Web Server (Proxy)

### Name

#### Description

A unique name for this external application. You will refer to it by this name when you use it in other parts of the configuration.

### Address

#### Description

HTTP,HTTPS, or Unix Domain Sockets (UDS) address used by the external web server.

#### Syntax

IPv4/IPv6 address(:port), UDS://path, or unix:path. Add "https://" in front of an IPv4/IPv6 address if the external web server uses HTTPS. Port is optional for IPv4/IPv6 addresses if the external web server uses the standard ports 80 or 443.

#### Example

192.168.0.10
127.0.0.1:5434
https://10.0.8.9
https://127.0.0.1:5438
UDS://tmp/lshttpd/php.sock
unix:/tmp/lshttpd/php.sock

#### Tips

Security If you proxy to another web server running on the same machine using an IPv4/IPv6 address, set the IP address to localhost or 127.0.0.1, so the external application is inaccessible from other machines.
Performance Unix Domain Sockets generally provide higher performance than IPv4 or IPv6 sockets.

### Max Connections

#### Description

Specifies the maximum number of concurrent connections that can be established between the server and an external application. This setting controls how many requests can be processed concurrently by an external application, however, the real limit also depends on the external application itself. Setting this value higher will not help if the external application is not fast enough or cannot scale to a large number of concurrent requests.

#### Syntax

Integer number

#### Tips

Performance Setting a high value does not directly translate to higher performance. Setting the limit to a value that will not overload the external application will provide the best performance/throughput.

### Connection Keep-Alive Timeout

#### Description

Specifies the maximum time in seconds to keep an idle persistent connection open.
When set to "-1", the connection will never timeout. When set to 0 or greater, the connection will be closed after this time in seconds has passed.

#### Syntax

Integer number

### Environment

#### Description

Specifies extra environment variables for the external application.

#### Syntax

Key=value. Multiple variables can be separated by "ENTER"

### Initial Request Timeout (secs)

#### Description

Specifies the maximum time in seconds the server will wait for the external application to respond to the first request over a new established connection. If the server does not receive any data from the external application within this timeout limit, it will mark this connection as bad. This helps to identify communication problems with external applications as quickly as possible. If some requests take longer to process, increase this limit to avoid 503 error messages.

#### Syntax

Integer number

### Retry Timeout (secs)

#### Description

Specifies the period of time that the server waits before retrying an external application that had a prior communication problem.

#### Syntax

Integer number

### Response Buffering

#### Description

Specifies whether to buffer responses received from external applications. If a "nph-" (Non-Parsed-Header) script is detected, buffering is turned off for responses with full HTTP headers.

#### Syntax

Select from drop down list